# Method: applications.list

Lists the applications available for data transfer for a customer.

### HTTP request

`GET https://admin.googleapis.com/admin/datatransfer/v1/applications`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable ID of the Google Workspace account. |
| `maxResults` | `integer` Maximum number of results to return. Default is 100. |
| `pageToken` | `string` Token to specify next page in the list. |

### Request body

The request body must be empty.

### Response body

Template for a collection of Applications.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "applications": [ { object (`https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/applications#Application`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies the resource as a collection of Applications. |
| `etag` | `string` ETag of the resource. |
| `applications[]` | ``object (`https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/applications#Application`)`` The list of applications that support data transfer and are also installed for the customer. |
| `nextPageToken` | `string` Token to specify the next page in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.datatransfer`
- `
  https://www.googleapis.com/auth/admin.datatransfer.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).